// 导入定义仓库的方法
import {
	defineStore
} from 'pinia';
// 导入响应式和计算
import {
	ref
} from 'vue';

const useUserStore = defineStore("user", () => {

	// 定义一个状态用户信息
	const userInfo = ref(uni.getStorageSync('userInfo') || {});
	// 定义一个设置状态的方法
	const setUserInfo = (data) => {
		userInfo.value = data;
		uni.setStorageSync('userInfo', data)
	}

	const token = ref(uni.getStorageSync('token') || '');
	const setToken = (data) => {
		token.value = data;
		uni.setStorageSync('token', data)
	}

	// #ifdef H5

	token.value = "37c15fa496186006ea3707aa4af0d54b"
	// token.value = "95b24dd6d2dda836fe07854b08ba0944"
	userInfo.value = {
		avatar: "https://lihaiim.oss-cn-chengdu.aliyuncs.com/image/admin/default_avatar.png",
		id: 9,
		is_disable: 0,
		is_new_user: 1,
		mobile: "19330904744",
		nickname: "用户1714964250",
		supplier: null,
		token: "37c15fa496186006ea3707aa4af0d54b"
	}
	// #endif

	return {
		userInfo,
		setUserInfo,
		token,
		setToken
	}
})

export default useUserStore;